import Vue from 'vue'
import App from './App'
import store from "store";
import uView from "uview-ui";
Vue.use(uView);
import {
  router,
  RouterMount
} from 'router'
Vue.use(router)
import pages from 'mixins';
import prompt from "common/utils/prompt"
import Mylink from 'uni-simple-router/dist/link.vue'

Vue.config.productionTip = false

import {
  Base64
} from 'js-base64'
Vue.prototype.$Base64 = Base64

// 交互反馈
Vue.prototype.$Prompt = prompt;
// 注入全局
Vue.mixin(pages);

//组件式导航
Vue.component('my-link', Mylink)
App.mpType = 'app'

import api from '@/common/http/'
Vue.prototype.$api = api

import custom from '@/components/zj/custom.vue';
Vue.component('custom', custom);

import {
  getUserInfo
} from "@/common/utils/util.js";
Vue.prototype.$getUserInfo = getUserInfo;

// 渲染图片文件
Vue.prototype.$imageUrl = process.env.VUE_APP_BASE_URL + process.env.VUE_APP_BASE_API + '/file/img/get?key=';

const app = new Vue({
  ...App,
  store
})
//v1.3.5起 H5端 你应该去除原有的app.$mount();使用路由自带的渲染方式
// #ifdef H5
RouterMount(app, router, '#app')
// #endif

// #ifndef H5
app.$mount(); //为了兼容小程序及app端必须这样写才有效果
// #endif
